Auteur Sujet: Problème installation Asus A6  (Lu 33668 fois)

0 Membres et 3 Invités sur ce sujet

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Re : Problème installation Asus A6
« Réponse #45 le: 04 septembre 2015 à 17:27:13 »
Je n'ai pas trouvé les sources sur le lien http://smxi.org/ mais ici :

https://gist.github.com/jfrazelle/19fd6f45e771089b9925#file-nvidia-fixes-for-kernel-4-0-0-patch
https://gist.github.com/jfrazelle/be3ac5c2b1af54d5b4fa

Les patchs que j'ai utilisé et qui marchent étaient dans le message #10 du lien que je t'ai donné https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=785442
Pour annuler les pacths que tu as essayé il va falloir faire un remove --purge et un réinstall du package nvidia-legacy-304xx-kernel-dkms

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #46 le: 04 septembre 2015 à 18:05:59 »
Autant pour moi j'avais compris le lien post 10 (#10) ^^

" download le fichier nvidia-3.19.patch (lien message #10 de la page bugs.debian.org ci-dessus)"

Je ne comprenais plus. Bon je vais essayer cette procédure.



Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #47 le: 04 septembre 2015 à 18:26:22 »
pour : remove --purge c'est pour le nvidia-kernel-dkms ?
parce que je viens de le faire et il me dit que le paquet n'est pas installé et

Donc je fais cela,

apt-get remove --purge nvidia-legacy-304xx-kernel-dkms

apt-get install nvidia-legacy-304xx-kernel-dkms

pour nettoyer les anciens patchs
« Modifié: 04 septembre 2015 à 18:43:24 par monteur1234 »

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #48 le: 04 septembre 2015 à 19:07:15 »
Tout c'est bien passé, les 2 patchs installés + la compilation de l'ensemble. Après le reboot écran noir avec curseur clignotant dans le coin à gauche, touchpad pointeur ne fonctionne pas.

Fichier Xorg.0.log
[    48.228]
X.Org X Server 1.17.2
Release Date: 2015-06-16
[    48.230] X Protocol Version 11, Revision 0
[    48.230] Build Operating System: Linux 3.16.0-4-amd64 i686 Debian
[    48.230] Current Operating System: Linux kali 4.0.0-kali1-686-pae #1 SMP Debian 4.0.4-1+kali2 (2015-06-03) i686
[    48.230] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.0.0-kali1-686-pae root=UUID=46858456-090e-4614-a6dc-335f2c48119c ro initrd=/install/gtk/initrd.gz quiet
[    48.231] Build Date: 01 July 2015  05:17:45PM
[    48.231] xorg-server 2:1.17.2-1 (http://www.debian.org/support)
[    48.231] Current version of pixman: 0.32.6
[    48.231] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[    48.231] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    48.231] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Sep  4 18:56:24 2015
[    48.233] (==) Using config file: "/etc/X11/xorg.conf"
[    48.233] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    48.233] (==) ServerLayout "Layout0"
[    48.233] (**) |-->Screen "Screen0" (0)
[    48.233] (**) |   |-->Monitor "Monitor0"
[    48.234] (**) |   |-->Device "Device0"
[    48.234] (**) |-->Input Device "Keyboard0"
[    48.234] (**) |-->Input Device "Mouse0"
[    48.234] (==) Automatically adding devices
[    48.234] (==) Automatically enabling devices
[    48.234] (==) Automatically adding GPU devices
[    48.234] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    48.234] Entry deleted from font path.
[    48.234] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    48.234] Entry deleted from font path.
[    48.234] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    48.234] Entry deleted from font path.
[    48.234] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    48.234] Entry deleted from font path.
[    48.234] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    48.234] Entry deleted from font path.
[    48.234] (==) FontPath set to:
/usr/share/fonts/X11/misc,
/usr/share/fonts/X11/Type1,
built-ins
[    48.234] (==) ModulePath set to "/usr/lib/xorg/modules"
[    48.234] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    48.234] (WW) Disabling Keyboard0
[    48.234] (WW) Disabling Mouse0
[    48.234] (II) Loader magic: 0xb77b0700
[    48.234] (II) Module ABI versions:
[    48.234] X.Org ANSI C Emulation: 0.4
[    48.234] X.Org Video Driver: 19.0
[    48.234] X.Org XInput driver : 21.0
[    48.234] X.Org Server Extension : 9.0
[    48.234] (II) xfree86: Adding drm device (/dev/dri/card0)
[    48.235] (EE) /dev/dri/card0: failed to set DRM interface version 1.4: Invalid argument
[    48.242] (--) PCI:*(0:1:0:0) 10de:01d7:1043:1212 rev 161, Mem @ 0xfd000000/16777216, 0xc0000000/268435456, 0xfc000000/16777216, BIOS @ 0x????????/131072
[    48.242] (II) LoadModule: "glx"
[    48.242] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    48.347] (II) Module glx: vendor="NVIDIA Corporation"
[    48.347] compiled for 4.0.2, module version = 1.0.0
[    48.348] Module class: X.Org Server Extension
[    48.349] (II) NVIDIA GLX Module  352.21  Tue Jun  9 21:22:30 PDT 2015
[    48.349] (II) LoadModule: "nvidia"
[    48.350] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    48.353] (II) Module nvidia: vendor="NVIDIA Corporation"
[    48.353] compiled for 4.0.2, module version = 1.0.0
[    48.354] Module class: X.Org Video Driver
[    48.354] (II) NVIDIA dlloader X Driver  352.21  Tue Jun  9 20:56:59 PDT 2015
[    48.355] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    48.355] (++) using VT number 7

[    48.359] (II) Loading sub module "fb"
[    48.359] (II) LoadModule: "fb"
[    48.363] (II) Loading /usr/lib/xorg/modules/libfb.so
[    48.363] (II) Module fb: vendor="X.Org Foundation"
[    48.363] compiled for 1.17.2, module version = 1.0.0
[    48.363] ABI class: X.Org ANSI C Emulation, version 0.4
[    48.363] (II) Loading sub module "wfb"
[    48.363] (II) LoadModule: "wfb"
[    48.363] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    48.363] (II) Module wfb: vendor="X.Org Foundation"
[    48.363] compiled for 1.17.2, module version = 1.0.0
[    48.363] ABI class: X.Org ANSI C Emulation, version 0.4
[    48.363] (II) Loading sub module "ramdac"
[    48.363] (II) LoadModule: "ramdac"
[    48.363] (II) Module "ramdac" already built-in
[    48.363] (WW) NVIDIA(0): The NVIDIA GeForce Go 7300 GPU installed in this system is
[    48.363] (WW) NVIDIA(0):     supported through the NVIDIA 304.xx Legacy drivers. Please
[    48.366] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[    48.366] (WW) NVIDIA(0):     information.  The 352.21 NVIDIA driver will ignore this
[    48.366] (WW) NVIDIA(0):     GPU.  Continuing probe...
[    48.366] (EE) No devices detected.
[    48.366] (EE)
Fatal server error:
[    48.366] (EE) no screens found(EE)
[    48.366] (EE)
Please consult the The X.Org Foundation support
at http://wiki.x.org
 for help.
[    48.366] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    48.366] (EE)


Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #49 le: 04 septembre 2015 à 20:09:50 »
Si je réinstalle tout maintenant qu'on à fait le tour, peux tu encore m'assister Trude pour les manips ?

Ou j'attends une nouvelle MAJ de l'ISO de Kali Linux 2.1 ?




Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #50 le: 04 septembre 2015 à 21:03:21 »
Un dernier essai sur du propre ?

apt-get install linux-headers-$(uname -r)
apt-get install nvidia-legacy-304xx-kernel-dkms
+manip des patchs
apt-get install  nvidia-legacy-304xx-driver
+verif pas d'erreur
apt-get install nvidia-xconfig
nvidia-xconfig

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Re : Problème installation Asus A6
« Réponse #51 le: 04 septembre 2015 à 21:11:50 »
Un dernier essai sur du propre ?

apt-get install linux-headers-$(uname -r)
apt-get install nvidia-legacy-304xx-kernel-dkms
+manip des patchs
apt-get install  nvidia-legacy-304xx-driver
+verif pas d'erreur
apt-get install nvidia-xconfig
nvidia-xconfig

OK, je vais suivre ta procédure et formater (kill disk) mon HD + INSTAL OS. Je te remercie pour ta patience.


Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #52 le: 04 septembre 2015 à 22:54:03 »
Donc je vais commencer la procédure. Juste une question avant. Après apt-get install nvidia-legacy-304xx-driver est-ce qu'il faut que je reboote ou pas car la dernière fois il me l'a demandé et pour une histoire de constitution de fichier blacklisté ?
« Modifié: 04 septembre 2015 à 22:58:52 par monteur1234 »

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #53 le: 04 septembre 2015 à 22:57:04 »
A peine commencé apt-get install linux-headers-$(uname -r) E: Impossible de trouver le paquet linux-header.

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Re : Problème installation Asus A6
« Réponse #54 le: 04 septembre 2015 à 23:25:08 »
A peine commencé apt-get install linux-headers-$(uname -r) E: Impossible de trouver le paquet linux-header.
T'as du faire une faute de frappe ou laisser un espace
la commande uname -r doit te renvoyer un truc genre 4.0.0-kali1-686-pae
et la commande doit lancer apt-get install linux-headers-4.0.0-kali1-686-pae

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #55 le: 04 septembre 2015 à 23:35:39 »
Pourtant j'ai fait :

apt-get update
apt-get upgrade
apt-get dist-upgrade

Avant de commencer.

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #56 le: 04 septembre 2015 à 23:48:55 »
que te renvoi la commande
uname -r

fait un apt-get install linux-headers-CEQUERENVOILALACOMMANDEUNAME

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #57 le: 04 septembre 2015 à 23:58:33 »
c'est fait avec 4.0.0-kali1-686-pae, j'avais pas vu ton post
(    A peine commencé apt-get install linux-headers-$(uname -r) E: Impossible de trouver le paquet linux-header.

T'as du faire une faute de frappe ou laisser un espace
la commande uname -r doit te renvoyer un truc genre 4.0.0-kali1-686-pae
et la commande doit lancer apt-get install linux-headers-4.0.0-kali1-686-pae)  ::)

Concernant mon interrogation au post #52, je reboote ou pas après ?


Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #58 le: 05 septembre 2015 à 00:06:20 »
apt-get install nvidia-legacy-304xx-kernel-dkms (fait)

Ecran bleu ... pour corriger cela est de démarrer la machine une fois l'installation.

Je redémarre ou je patche avant ?

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #59 le: 05 septembre 2015 à 00:09:34 »
logiquement y'a eu erreur à la compilaton, non ?
il faut que tu appliques les patchs et que tu lances le reconfigure pour relancer la compilation avant de rebooter